name    rsaenh
type    win32
init    RSAENH_Init

import kernel32.dll
import ntdll.dll

debug_channels (rsaenh)

@ stdcall CPAcquireContext( ptr str long ptr ) RSAENH_CPAcquireContext
@ stdcall CPCreateHash( ptr long ptr long ptr ) RSAENH_CPCreateHash
@ stdcall CPDecrypt( ptr ptr ptr long long ptr ptr ) RSAENH_CPDecrypt
@ stdcall CPDeriveKey( ptr long ptr long ptr ) RSAENH_CPDeriveKey
@ stdcall CPDestroyHash( ptr ptr ) RSAENH_CPDestroyHash
@ stdcall CPDestroyKey( ptr ptr ) RSAENH_CPDestroyKey
@ stdcall CPDuplicateHash( ptr ptr ptr long ptr ) RSAENH_CPDuplicateHash
@ stdcall CPDuplicateKey( ptr ptr ptr long ptr ) RSAENH_CPDuplicateKey
@ stdcall CPEncrypt( ptr ptr ptr long long ptr ptr long ) RSAENH_CPEncrypt
@ stdcall CPExportKey( ptr ptr ptr long long ptr ptr ) RSAENH_CPExportKey
@ stdcall CPGenKey( ptr long long ptr ) RSAENH_CPGenKey
@ stdcall CPGenRandom( ptr long ptr ) RSAENH_CPGenRandom
@ stdcall CPGetHashParam( ptr ptr long ptr ptr long ) RSAENH_CPGetHashParam
@ stdcall CPGetKeyParam( ptr ptr long ptr ptr long ) RSAENH_CPGetKeyParam
@ stdcall CPGetProvParam( ptr long ptr ptr long ) RSAENH_CPGetProvParam
@ stdcall CPGetUserKey( ptr long ptr ) RSAENH_CPGetUserKey
@ stdcall CPHashData( ptr ptr ptr long long ) RSAENH_CPHashData
@ stdcall CPHashSessionKey( ptr ptr ptr long ) RSAENH_CPHashSessionKey
@ stdcall CPImportKey( ptr ptr long ptr long ptr ) RSAENH_CPImportKey
@ stdcall CPReleaseContext( ptr long ) RSAENH_CPReleaseContext
@ stdcall CPSetHashParam( ptr ptr long ptr long ) RSAENH_CPSetHashParam
@ stdcall CPSetKeyParam( ptr ptr long ptr long ) RSAENH_CPSetKeyParam
@ stdcall CPSetProvParam( ptr long ptr long ) RSAENH_CPSetProvParam
@ stdcall CPSignHash( ptr ptr long wstr long ptr ptr ) RSAENH_CPSignHash
@ stdcall CPVerifySignature( ptr ptr ptr long ptr wstr long ) RSAENH_CPVerifySignature
@ stdcall DllRegisterServer() RSAENH_DllRegisterServer
@ stdcall DllUnregisterServer() RSAENH_DllRegisterServer

